View Issue Details

IDProjectCategoryLast Update
0023249AI War 2Bug - GameplayAug 11, 2020 8:02 am
ReporterGreatYng Assigned Tokeith.lamothe  
Severityminor 
Status resolvedResolutionfixed 
Product Version2.048 Bugfixes 
Summary0023249: AI Great-Turrets are not more powerful than player turrets
DescriptionI was under the impression that they were supposed to be more powerful than player turrets (3x health and 5x attack I believe it was), but with a bit less range (when not infinite).
They are lacking the increase in attack power and health that are supposed to have.

I used the attached save to compare some Mark 4 AI Pike Great-Turrets (ex. on More Old Gum) with my own Pike Turrets (anywhere) and the only difference is that the AI Great-Turret has less range and does not get increased health from an increase in Mark level (I know that this last bit is a known bug and already fixed). Comparing my Mk4 Seeker Turrets with the AI Seeker Great-Turrets on Cadence VI, they too have identical attack values as well as a lack of health beyond the Mk-level health bug.
TagsNo tags attached.

Activities

GreatYng

Jun 3, 2020 6:19 pm

reporter  

NotSoGreatTurret.save (1,479,060 bytes)

GreatYng

Jul 7, 2020 5:43 pm

reporter   ~0057509

Just a quick confirmation that Great-Turrets are still lacking the increase in attack and health they are supposed to have. In the 'NotGreatTurret' save file the Mark 7 AI Translocator Great-Turret (on Carabalilo near the orange AI Homeworld) has the same attack as a player-owned Mark 7 Great-Turret. Interestingly, its health is just under that of a Mark 4 player-owned Translocator Turret.
NotGreatTurret.save (293,015 bytes)

keith.lamothe

Aug 9, 2020 1:13 pm

administrator   ~0058009

For next version:

* Fixed bug where AI Great-Turrets were not getting their intended 3x health and 5x DPS relative to human turrets.

RocketAssistedPuffin

Aug 9, 2020 2:06 pm

reporter   ~0058010

Keith, some information for you.

Player Turrets got consolidated into 0.2x the cap, but 5x the power for convenience and performance reasons, on September 7th, 2019. https://wiki.arcengames.com/index.php?title=AI_War_2:The_Refinement_of_Fleets#Player_Ship_Caps

AI Turrets became Great Turrets on January 1st, 2020, for performance reasons. https://wiki.arcengames.com/index.php?title=AI_War_2:The_Grand_New_AI#AI_Great-Turrets

The first part, for Player Turrets notes this:

"For all AI turrets, things are left the same, but for player turrets the following changes:
multiplier_to_all_costs is 5.
multiplier_to_all_healths is 5.
damage_multiplier_to_all_weapons is 5.
multiplier_to_all_fleet_caps is 0.2.
multiplier_to_all_scales is 3."

While the Great Turret part says this:

"All of the AI turrets were already different from the player turrets in that they generally have half the range of the player counterparts. Now we're taking it even further.
Mainly because turrets can't stack, and thus will grind the game to a halt if the AI builds full caps of them at the sort of strength and costs that we had them at previously, we've condensed them to being essentially like stacks-in-one right from the start.
All of the AI turrets are called Great-Turrets instead of just turrets, and they have 5x the cost and firepower and health that the player versions do (while still having half the range)."

It seems Chris got confused and/or forgot that the player versions got boosted before, since he doesn't mention anything except the range difference. That'd also explain the odd name, since the AI ones are weaker.

So to me this seems more a release note mistake, than the AI Great Turrets being intended to be even stronger than the player ones individually. I'd also note the AI ones in terms of cost and the like were balanced as they are now, and this change'd make AI planets much stronger.

RocketAssistedPuffin

Aug 9, 2020 2:23 pm

reporter   ~0058011

I'd add on that they only have 3x health of the base XML entries, because it was found that some Turrets like Fortified Tesla took a very long time to ever clear out.

One last thing:

damage_per_shot="416"

This is the base damage of a Pike Turret. For a player turret, * this by 5, so 2,080. With the AI Turrets getting an extra 5x damage on that, it becomes 10,400.

Most strikecraft don't actually have that much health, meaning most will have mass overkill. That damage is before any multipliers, like the anti-armour one of a Pike, so the damage'd become 31,200. Unless the player has stacks going on (which can be disabled a bit), if these Turrets stay that way, then get re-costed accordingly (meaning fewer, stronger ones), I'd imagine the balance would go drastically the other way due to the damage they're costed for being often wasted.

Mark Levels change things around, but it seems that if you're the same Mark or lower than the Turret, the Turret has notable overkill.

Just some points.

CRCGamer

Aug 9, 2020 4:38 pm

reporter   ~0058012

All I'm gonna say on this matter is that if you are adding yet another 5x damage to some of those AI turrets you absolutely are going to have people screaming about nigh impenetrable nests. The AI *still* stacks 20+ turrets in clusters and when those turrets are a mix of parasitic and multi-shot/AoE happy friends you are basically forced into clearing them with battle station siege tactics already with maybe some heavy frigate assistance if they aren't subject to a massive damage bonus by said turrets.

They already take a bit of time to clear. So I'd be careful about screwing with the health values too much. Damage though is much touchier and ramping it more than 2x is probably not the best of ideas if you aren't looking to force players into combat building turrets or heavily favoring infinite range units. I really would suggest taking your changes here for a spin with a turtle AI.

keith.lamothe

Aug 10, 2020 7:29 am

administrator   ~0058019

Thanks for the feedback; I've undone those changes for the next version and I'll ask Chris for clarification on whether any numeric changes are actually needed here, or maybe just change "Great-Turret" back to "Turret" in the naming.

x4000Bughunter

Aug 10, 2020 4:35 pm

administrator   ~0058032

I guess that we just need to change Great-Turret back to Turret. Thanks for all the history, Puffin -- it is indeed very very hard for me to keep track of all of the history with these!

RocketAssistedPuffin

Aug 10, 2020 5:33 pm

reporter   ~0058034

I think this is the first time anyone noticed/mentioned it, so no worries. It never even occurred to me either, any of this until just now.

keith.lamothe

Aug 11, 2020 8:02 am

administrator   ~0058039

For 2.117:

* The AI "Great-Turrets" are now simply called "Turrets" again, as at this point balance-wise the player turrets and AI turrets are similar.

Thanks :)

Issue History

Date Modified Username Field Change
Jun 3, 2020 6:19 pm GreatYng New Issue
Jun 3, 2020 6:19 pm GreatYng File Added: NotSoGreatTurret.save
Jul 7, 2020 5:43 pm GreatYng File Added: NotGreatTurret.save
Jul 7, 2020 5:43 pm GreatYng Note Added: 0057509
Aug 9, 2020 1:13 pm keith.lamothe Note Added: 0058009
Aug 9, 2020 2:06 pm RocketAssistedPuffin Note Added: 0058010
Aug 9, 2020 2:23 pm RocketAssistedPuffin Note Added: 0058011
Aug 9, 2020 4:38 pm CRCGamer Note Added: 0058012
Aug 10, 2020 7:29 am keith.lamothe Note Added: 0058019
Aug 10, 2020 4:35 pm x4000Bughunter Note Added: 0058032
Aug 10, 2020 5:33 pm RocketAssistedPuffin Note Added: 0058034
Aug 11, 2020 8:02 am keith.lamothe Note Added: 0058039
Aug 11, 2020 8:02 am keith.lamothe Assigned To => keith.lamothe
Aug 11, 2020 8:02 am keith.lamothe Status new => resolved
Aug 11, 2020 8:02 am keith.lamothe Resolution open => fixed

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?